MDAC 2.1 unter Vista

01/04/2008 - 18:51 von Chris | Report spam
Geschàtzte Community
Nach dem Umstieg auf Vista kann ich eine Software nicht mehr installieren.

Ich lege die CD ein und starte die Installations.exe.
Danach kommt folgende Meldung:
Die XX Installation hat festgestellt, dass Ihr WIndows noch nicht bereit
für XX ist.
Es fehlen noch folgende Microsoft Sytem Komponenten, diese können jetzt
automatisch installiert werden:
- MDAC 2.1, Basis Komponente für den Datenbankzugriff
- MDAC 2.6, Basis Komponente für den Datenbankzugriff

Danach wàhle ich OK für die erwàhnte automatische Installation. Nach kurzer
Zeit kommt folgende Meldung:
Folgende System Komponente konnte nicht installiert werden:
- MDAC 2.1, Basis Komponente für den Datenbankzugriff
Bei erneutem Auftreten dieser Fehlermeldung Installation abbrechen und
PC neu starten.
Soll die Installation fortgesetzt werden?

Ich kicke auf Ja und es folgt die Fehlermeldung zu MDAC 2.6, welcher auch
nicht installiert werden konnte. Nach erneutem Ja kommt dan diese Meldung:
Windows wurde nicht auf den erforderlichen Stand gebracht.
Bevor XX installiert werden kann, muss Windows aktualisiert werden!
Die Installation wird abgebrochen.

Ich bestàtige mit OK und das wars.

Die Software lief unter WinXP einwandfrei. Kann mir jemand sagen was es mit
diesem MDAC auf sich hat. Kann ich diese Systemkomponente auch von Hand
installieren?

Ich hoffe Ihr könnt mir weiterhelfen, bin am verzweifeln!
 

Lesen sie die antworten

#1 Peter Götz
01/04/2008 - 20:55 | Warnen spam
Hallo Chris,

Nach dem Umstieg auf Vista kann ich eine
Software nicht mehr installieren.

Ich lege die CD ein und starte die Installations.exe.
Danach kommt folgende Meldung:
Die XX Installation hat festgestellt, dass Ihr WIndows
noch nicht bereit für XX ist.



Es ist tatsàchlich umgekehrt.
XX ist noch nicht bereit für Vista.

Es fehlen noch folgende Microsoft Sytem Komponenten,
diese können jetzt automatisch installiert werden:
- MDAC 2.1, Basis Komponente für den Datenbankzugriff
- MDAC 2.6, Basis Komponente für den Datenbankzugriff



Vista enthàlt bereits MDAC 2.8, eine àltere Version wie
MDAC 2.1 oder 2.6 kann und muss auch nicht über diese
installiert werden.

Danach wàhle ich OK für die erwàhnte automatische
Installation. Nach kurzer
Zeit kommt folgende Meldung:
Folgende System Komponente konnte nicht
installiert werden:
- MDAC 2.1, Basis Komponente für den Datenbankzugriff
Bei erneutem Auftreten dieser Fehlermeldung Installation
abbrechen und PC neu starten.
Soll die Installation fortgesetzt werden?

Ich kicke auf Ja und es folgt die Fehlermeldung zu
MDAC 2.6, welcher auch nicht installiert werden konnte.
Nach erneutem Ja kommt dan diese Meldung:
Windows wurde nicht auf den erforderlichen Stand gebracht.
Bevor XX installiert werden kann, muss Windows aktualisiert
werden!
Die Installation wird abgebrochen.



s.oben:
Es muss nicht Windows Vista aktualisiert werden, bezügl.
MDAC ist es schon deutlich anktueller als Deine Anwendung,
sondern die Anwendung, bzw. das zugehörige Setup-Programm
muss für Vista aktualisiert werden

Ich bestàtige mit OK und das wars.

Die Software lief unter WinXP einwandfrei.



Das wundert mich, denn auch WinXP enthàlt bereits
MDAC 2.7 und auch über diese kann ein MDAC 2.1
oder 2.6 nicht "überinstalliert" werden.

Kann mir jemand sagen was es mit
diesem MDAC auf sich hat. Kann ich
diese Systemkomponente auch von Hand
installieren?



Vista enthàlt bereits die neueste MDAC-Version,
sie muss somit nicht mehr installiert werden.

Gruß aus St.Georgen
Peter Götz
www.gssg.de (mit VB-Tipps u. Beispielprogrammen)

Ähnliche fragen